#include <stdio.h>
#include <stdlib.h>

#include <unistd.h>
#include <stddef.h>
#include <sys/types.h>

#include "config.h"

read_config(const char *config, const char *pop)
{
int i, err;
char *l;
char **line;
size_t *n;
static char hostname[32], localuser[32], remoteuser[32], pw[32], pt[4];
FILE *cfg;
err = 0;
cfg = fopen(config, "r");
if (cfg == NULL)
	{
/*	 perror("config file"); */
	 return -1;
	}
i = sizeof(&l);
n = &i;
line = &l;
while (getdelim(line, n, '\n', cfg) != -1)
	{
	 i = sscanf(l, "%32s%32s%32s%32s%4s", hostname, localuser, remoteuser, pw, pt);
	 switch(i)
		{
		 case 4: sprintf(l, "%s %s %s %s %s %d", pop, hostname, localuser, remoteuser, pw, POP3_PORT); x_child(l); break;
		 case 5: sprintf(l, "%s %s %s %s %s %d", pop, hostname, localuser, remoteuser, pw, strtol(pt, NULL, 0)); x_child(l); break;
		}
	 if (i < 4 && i > 0) err = 1;
	}
if (err == 1)
	{
	 fprintf(stderr, "Config file: wrong format\n");
	 exit(EXIT_FAILURE);
	}
fclose(cfg);
return 0;
}
